Probleme mit Paypal auf Shopware 5.5.1

Guten Tag,

Ich habe folgendes Problem mit dem Paypal Plugin :

Wenn ich per Express (Driekt auf der Artikelseite) per Paypal bezahlen will Funktioniert alles super, Paypal öffnet sich ich kann mich in Paypal einloggen und die Adress daten etc. werden übertragen.

Wenn ich aber per Registrierter Kunde mich anmelde und über Paypal zahlen will schließt sich dieses “Pop-up” Paypal fenster einfach wieder …

Benutze übrigens Paypal 1.0.6 weil das neue Update was gestern rauskam bei mir überhaupt nicht funktioniert auch nicht die Express Funktion.

Bin übrigens noch neu in Sachen Shopware.

Fehlerlog hat folgendes ausgespuckt kann aber nicht viel damit anfagen … :

 

[2018-10-02 15:12:24] plugin.ERROR: PayPal: Could not process checkout due to a communication failure {"message":"Client error response [url] https://api.paypal.com/v1/payments/payment [status code] 400 [reason phrase] Bad Request","payload":"{\"name\":\"VALIDATION_ERROR\",\"details\":[{\"field\":\"transactions.amount.details\",\"issue\":\"Currency amount must be non-negative number, may optionally contain exactly 2 decimal places separated by '.', optional thousands separator ',', limited to 7 digits before the decimal point and currency which is a valid ISO Currency Code\"}],\"message\":\"Invalid request - see details\",\"information_link\":\"https://developer.paypal.com/docs/api/payments/#errors\",\"debug_id\":\"3c044a8e1097\"}"} {"uid":"137d9d7"}

 

 

Folgendes wurde ausprobiert: 

Sicherheitsmodus aktiviert 

Paypal Plugin neu aufgespielt

Eigentlich alles was zu diesem Fehler im Netz stand

 

Hallo,

das Problem, welches du beschreibst ist mit der Version 1.0.7 gefixt worden. Daher solltest du die aktuellste Version nutzen. 

Viele Grüße aus Schöppingen

cool Michael Telgmann

Bin jetzt auf der aktuellsten Version und bekomme diesen Fehler

[2018-10-02 15:40:03] plugin.ERROR: PayPal: Could not process express-checkout due to a communication failure {"message":"Client error response [url] https://api.paypal.com/v1/payments/payment [status code] 400 [reason phrase] Bad Request","payload":"{\"name\":\"VALIDATION_ERROR\",\"details\":[{\"field\":\"transactions.amount.details\",\"issue\":\"Currency amount must be non-negative number, may optionally contain exactly 2 decimal places separated by '.', optional thousands separator ',', limited to 7 digits before the decimal point and currency which is a valid ISO Currency Code\"}],\"message\":\"Invalid request - see details\",\"information_link\":\"https://developer.paypal.com/docs/api/payments/#errors\",\"debug_id\":\"9c2a528557def\"}"} {"uid":"50a8165"}

 

SW 5.5.1 - PayPal 1.0.7 - Live & Sandbox: Egal ob Cart, Details, FlyOut-Cart…
 

[2018-10-06 11:47:03] plugin.ERROR: PayPal: Could not process express-checkout due to a communication failure {"message":"Client error response [url] https://api.sandbox.paypal.com/v1/payments/payment [status code] 400 [reason phrase] Bad Request","payload":"{\"name\":\"VALIDATION_ERROR\",\"details\":[{\"field\":\"transactions.amount.details\",\"issue\":\"Currency amount must be non-negative number, may optionally contain exactly 2 decimal places separated by '.', optional thousands separator ',', limited to 7 digits before the decimal point and currency which is a valid ISO Currency Code\"}],\"message\":\"Invalid request - see details\",\"information_link\":\"https://developer.paypal.com/docs/api/payments/#errors\",\"debug_id\":\"a116abb28b6ce\"}"} {"uid":"42f13d3"}

 

@sonic schrieb:

SW 5.5.1 - PayPal 1.0.7 - Live & Sandbox: Egal ob Cart, Details, FlyOut-Cart…
 

[2018-10-06 11:47:03] plugin.ERROR: PayPal: Could not process express-checkout due to a communication failure {“message”:“Client error response [url] https://api.sandbox.paypal.com/v1/payments/payment [status code] 400 [reason phrase] Bad Request”,“payload”:"{“name”:“VALIDATION_ERROR”,“details”:[{“field”:“transactions.amount.details”,“issue”:“Currency amount must be non-negative number, may optionally contain exactly 2 decimal places separated by ‘.’, optional thousands separator ‘,’, limited to 7 digits before the decimal point and currency which is a valid ISO Currency Code”}],“message”:“Invalid request - see details”,“information_link”:"https://developer.paypal.com/docs/api/payments/#errors",“debug_id”:“a116abb28b6ce”;}"} {“uid”:“42f13d3”}

 

Hast du mal einen Screenshot von deinem Cart?
Abweichende Currency oder sowas? 

Hallo zusammen,

ich habe für das Problem mal ein Ticket angelegt. Shopware Issuetracker
Wir haben eine Testumgebung, wo wir das Problem nachstellen können. 

Viele Grüße aus Schöppingen

cool Michael Telgmann

Hallo zusammen,

wir haben das Update auf 5.5.1 noch nicht durchgeführt, weil das Paypal-Plugin noch nicht als kompatibel markiert wurde:

https://forum.shopware.com/discussion/56614/wuerdet-ihr-updaten-auf-5-5-1-und-paypal-1-0-7#latest

das wird auch nie kompatibel da es ersetzt wurde durch das neue paypal-Plugin.

Du wirst daher ewig warten :slight_smile:

Dann verstehe ich nicht, warum der Plugin-Manager nie ein Update dazu angezeigt hat.
Aber hier muss man vermutlich täglich min. 2 Stunden verbringen, um alles zu verstehen und mitzubekommen.

@rpatzel‍ Es ist kein „normales“ Update. Das alte Paypal Plugin wurde durch das neue ersetzt.
Schau mal hier: https://community.shopware.com/Plugin-PayPal_detail_2074.html

@Michael Telgmann schrieb:

Hallo zusammen,

ich habe für das Problem mal ein Ticket angelegt. https://issues.shopware.com/issues/PT-9710
Wir haben eine Testumgebung, wo wir das Problem nachstellen können. 

Viele Grüße aus Schöppingen

cool Michael Telgmann

 

 

Hallo,
ich habe das gleiche Fehlermeldung. Ich konnte feststellen, dass das Problem von Versandkosten kommen. Sobald die Versandkosten nur runde Zahlen sind, funktioniert alles mit Paypal und kommt keine Fehlermeldung. Sobald aber die Versankosten bpsw. 4,95, also in dem Preis auch Cent Angaben sind, kommt die Fehlermeldung.